using PkmnLib.Dynamic.Libraries.DataLoaders;
using PkmnLib.Dynamic.Plugins;

namespace PkmnLib.Tests.Dataloader;

public class AbilityDataLoaderTests
{
    [Test]
    public async Task TestPrimaryAbilityFile()
    {
        IResourceProvider plugin = new Plugin.Gen7.Gen7Plugin();
        var result = plugin.GetResource(ResourceFileType.Abilities)!;
        await using var stream = result.Open();
        var library = AbilityDataLoader.LoadAbilities(stream);
        await Assert.That(library).IsNotNull();
    }
}